// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "ReportDialog.h"

ReportDialog::ReportDialog(QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);
   totalAnswers = 0;
   correctAnswers = 0;
   totalAnswersLcdNumber -> resize(correctAnswersLcdNumber->sizeHint());
}

void ReportDialog::setData(int ta, int ca)
{
   totalAnswers = ta;
   correctAnswers = ca;
   int wrongAnswers = totalAnswers-correctAnswers;

   totalAnswersLcdNumber -> display(totalAnswers);
   correctAnswersLcdNumber -> display(correctAnswers);
   wrongAnswersLcdNumber -> display(wrongAnswers);

   correctAnswersProgressBar -> setMinimum(0);
   correctAnswersProgressBar -> setMaximum(totalAnswers);
   correctAnswersProgressBar -> setValue(correctAnswers);

   wrongAnswersProgressBar -> setMinimum(0);
   wrongAnswersProgressBar -> setMaximum(totalAnswers);
   wrongAnswersProgressBar -> setValue(wrongAnswers);
}

