// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

// +-------------------------------------------------------------------------+
// | Some of the following codes are from MDic project.                      |
// | Thanks to:                                                              |
// | Mehrdad Momeny <mehrdad.momeny@gmail.com>                               |
// | Majid Ramezanpour <thinkgnu@gmail.com>                                  |
// +-------------------------------------------------------------------------+

#ifndef DBMAN_H
#define DBMAN_H

#include <QString>
#include <QtSql>

//NOTE:
//#include "settings.h"

/**
	@author Majid Ramezanpour <thinkgnu@gmail.com>
	@author Mehrdad Momeny <mehrdad.momeny@gmail.com>

	Our persian Blog: http://mtux.wordpress.com
*/

class DbMan
{
public:
        struct Mean {
                QString word;
                QString htmlMean;
                QString htmlDBName;
                QString dbname;
                bool same;
                int row;
        };

        DbMan();
        ~DbMan();

//NOTE:
//        int getMean(QString, Settings*);
        int getMean(QString);

        /*Create html code of font
        * return: <font face='example' size=''>text</font>
        */
        QString fontToHtml(QFont* inFont, QString text, QString color=0);

        QList<QSqlDatabase> dbs;//store databases instance!
        QList<Mean> meanLst;

private:
        void sortMeans();///get a List of means and sort it by same and row values :D
};

#endif
